Z-Push FatalMisconfigurationException

At this moment, no logfile from z-push exist.
I have change the loglevel to:

define('LOGUSERLEVEL', LOGLEVEL_DEBUG);

Apache ssl_error.log say:

[Wed Mar 14 10:24:11.501104 2018] [:error] [pid 7767] [client 192.168.201.89:52459] PHP Notice:  Use of undefined constant LOGBACKEND_CLASS - assumed 'LOGBACKEND_CLASS' in /usr/share/z-push/lib/core/zlog.php on line 141
[Wed Mar 14 10:24:11.501117 2018] [:error] [pid 7767] [client 192.168.201.89:52459] The configured logging class `LOGBACKEND_CLASS` does not exist. Check your configuration.
[Wed Mar 14 10:24:11.501140 2018] [:error] [pid 7767] [client 192.168.201.89:52459] The configured logging class `LOGBACKEND_CLASS` does not exist. Check your configuration.

Now I have change the right to 755:

 chmod 755 /etc/z-push/*

Now I can login with the webbrowser, but I the this message:

Z-Push - Open Source ActiveSync
Version 2.4.0+0
GET not supported
This is the Z-Push location and can only be accessed by Microsoft ActiveSync-capable devices

Is this all OK?

This is all ok

@yythoss said in Z-Push FatalMisconfigurationException:

Now I have change the right to 755

that seems a bit excessive. Normally the user of the webserver should be included in the z-push group now. Can you check if that is the case for your setup?

In our CentOS installation the httpd24 user is not apache, it is www.
I add this user www to the z-push group, but the same error, when I use the old right of the config.php

Sorry, I forgot to restart Apache, now it works. You are right.
THX

as its the case for changed groups the user needs to relogin for the changes to be applied. so you need to restart your webserver.

edit: ah you realised that as well already

Today, I did the same … updated Z-Push on an Univention UCS from 2.3.8 to 2.4.2 (app update) and got the same error afterwards.
I updated via repo to 2.4.3 without solving the problem, then I copied the config from /etc/z-push/z-push-config.php to /usr/share/z-push/config.php but I didn’t solve anything.
After hardcoding the file with include_once into index.php, it worked again.

WTF went wrong. I don’t see anything that got messed up during the update.

Christian.

addition info:
apache error log outputs:

[Fri Jul 20 13:53:05.436248 2018] [:error] [pid 13000] [client ::1:47794] PHP Warning:  include_once(/config.php): failed to open stream: Permission denied in /usr/share/z-push/index.php on line 36
[Fri Jul 20 13:53:05.436390 2018] [:error] [pid 13000] [client ::1:47794] PHP Warning:  include_once(): Failed opening 'config.php' for inclusion (include_path=':/usr/share/kopano/php') in /usr/share/z-push/index.php on line 36
[Fri Jul 20 13:53:05.436428 2018] [:error] [pid 13000] [client ::1:47794] PHP Notice:  Use of undefined constant SCRIPT_TIMEOUT - assumed 'SCRIPT_TIMEOUT' in /usr/share/z-push/index.php on line 40
[Fri Jul 20 13:53:05.436458 2018] [:error] [pid 13000] [client ::1:47794] PHP Notice:  Use of undefined constant SCRIPT_TIMEOUT - assumed 'SCRIPT_TIMEOUT' in /usr/share/z-push/index.php on line 41
[Fri Jul 20 13:53:05.436485 2018] [:error] [pid 13000] [client ::1:47794] PHP Warning:  set_time_limit() expects parameter 1 to be integer, string given in /usr/share/z-push/index.php on line 41
[Fri Jul 20 13:53:05.436906 2018] [:error] [pid 13000] [client ::1:47794] PHP Notice:  Use of undefined constant LOGBACKEND_CLASS - assumed 'LOGBACKEND_CLASS' in /usr/share/z-push/lib/core/zlog.php on line 141
[Fri Jul 20 13:53:05.436999 2018] [:error] [pid 13000] [client ::1:47794] The configured logging class `LOGBACKEND_CLASS` does not exist. Check your configuration.
[Fri Jul 20 13:53:05.437075 2018] [:error] [pid 13000] [client ::1:47794] The configured logging class `LOGBACKEND_CLASS` does not exist. Check your configuration.

I did purge all kopano-related and z-push-related packages and reinstalled them from scratch on an UCS 4.3, but the error message stays the same.
gabsync isn’t working, too and outputs this error message:

root@kopano:/usr/share/z-push/tools/gab-sync# ./gab-sync.php -a simulate
PHP Notice:  Use of undefined constant SYNCWORKER - assumed 'SYNCWORKER' in /usr/share/z-push/tools/gab-sync/gab-sync.php on line 111
PHP Notice:  Use of undefined constant SYNCWORKER - assumed 'SYNCWORKER' in /usr/share/z-push/tools/gab-sync/gab-sync.php on line 115
PHP Fatal error:  Uncaught Error: Class name must be a valid object or a string in /usr/share/z-push/tools/gab-sync/gab-sync.php:120
Stack trace:
#0 /usr/share/z-push/tools/gab-sync/gab-sync.php(50): GabSyncCLI::SetupSyncWorker()
#1 {main}
  thrown in /usr/share/z-push/tools/gab-sync/gab-sync.php on line 120

Need urgent help, please!

Christian.

@onex-de said in Z-Push FatalMisconfigurationException:

Need urgent help, please!

In that case I would recommend to open a support case.